Subject: [alpine-aports] [PATCH 1/2] main/perl-yaml-xs: upgrade to 0.65

From: Valery Kartel <[email-masked]>
Date: Fri, 19 May 2017 09:26:30 +0300

---
 main/perl-yaml-xs/APKBUILD | 36 +++++++++++++++++++++---------------
 1 file changed, 21 insertions(+), 15 deletions(-)

diff --git a/main/perl-yaml-xs/APKBUILD b/main/perl-yaml-xs/APKBUILD
index 5885cbc8d1..ee3111ec48 100644
--- a/main/perl-yaml-xs/APKBUILD
+++ b/main/perl-yaml-xs/APKBUILD
@@ -3,40 +3,46 @@
 # Maintainer: Valery Kartel <[email-masked]>
 pkgname=perl-yaml-xs
 _pkgreal=YAML-LibYAML
-pkgver=0.64
+pkgver=0.65
 pkgrel=0
 pkgdesc="Perl YAML Serialization using XS and libyaml"
 url="http://search.cpan.org/dist/YAML-LibYAML/"
 arch="all"
 license="GPL PerlArtistic"
-cpandepends=
-cpanmakedepends=
+cpandepends=""
+cpanmakedepends=""
+cpancheckdepends=""
 depends="$cpandepends"
 makedepends="perl-dev $cpanmakedepends"
+checkdepends="$cpancheckdepends"
 subpackages="$pkgname-doc"
 source="http://search.cpan.org/CPAN/authors/id/T/TI/TINITA/$_pkgreal-$pkgver.tar.gz"
-
-_builddir="$srcdir/$_pkgreal-$pkgver"
+builddir="$srcdir/$_pkgreal-$pkgver"
 
 prepare() {
-	cd "$_builddir"
-	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	default_prepare || return 1
+
+	cd "$builddir"
+	export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
 	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
 }
 
 build() {
-	cd "$_builddir"
-	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	cd "$builddir"
+	export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
 	make
 }
 
-check() {
-	make -C "$_builddir" test
-}
-
 package() {
-	cd "$_builddir"
+	cd "$builddir"
 	make DESTDIR="$pkgdir" install || return 1
 	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
 }
-sha512sums="c8d996a9bc86e644c85fa8662b91afb75e0e9bcfeaba88b0a661ef83c9d1dfbcd4464fdba8fcc16269dc3c561c3c5257818f7f15df78bf4331ec2f91a6245faf  YAML-LibYAML-0.64.tar.gz"
+
+check() {
+	cd "$builddir"
+	export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+	make test
+}
+
+sha512sums="87998f9d8458476168c06e984696ac562e77f6cfc252c57a8159bb45353bacab7fa159c983275f08fcd54479d7a994feebc2568f51b564d685d99cc66ee87cf0  YAML-LibYAML-0.65.tar.gz"
-- 
2.13.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---